fstream File Reference

Go to the source code of this file.

## Classes

class | std::basic_filebuf< _CharT, _Traits >
class | std::basic_fstream< _CharT, _Traits >
class | std::basic_ifstream< _CharT, _Traits >
class | std::basic_ofstream< _CharT, _Traits >

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_BUFSIZ
#define | _GLIBCXX_FSTREAM

## Typedefs

template<typename _Path , typename _Result = _Path, typename _Path2 = decltype(std::declval<_Path&>().make_preferred().filename())>
using | std::_If_fs_path = enable_if_t< is_same_v< _Path, _Path2 >, _Result >

## Functions

template<class _CharT , class _Traits >
void | std::swap (basic_filebuf< _CharT, _Traits > &__x, basic_filebuf< _CharT, _Traits > &__y)
template<class _CharT , class _Traits >
void | std::swap (basic_fstream< _CharT, _Traits > &__x, basic_fstream< _CharT, _Traits > &__y)
template<class _CharT , class _Traits >
void | std::swap (basic_ifstream< _CharT, _Traits > &__x, basic_ifstream< _CharT, _Traits > &__y)
template<class _CharT , class _Traits >
void | std::swap (basic_ofstream< _CharT, _Traits > &__x, basic_ofstream< _CharT, _Traits > &__y)

## Detailed Description

This is a Standard C++ Library header.

Definition in file fstream.

## Macro Definition Documentation

## _GLIBCXX_BUFSIZ

#define _GLIBCXX_BUFSIZ

Definition at line 51 of file fstream.

## _GLIBCXX_FSTREAM

#define _GLIBCXX_FSTREAM

Definition at line 34 of file fstream.